package com.usky.transfer.controller.api;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.exception.BusinessException;
import com.usky.common.core.util.BeanMapperUtils;
import com.usky.common.core.util.FileUtils;
import com.usky.common.core.util.GlobalUtils;
import com.usky.transfer.RemoteTransferService;
import com.usky.transfer.domain.*;
import com.usky.transfer.service.QueryInfluxdbDataService;
import com.usky.transfer.service.SysUserService;
import com.usky.system.RemoteUserService;
import com.usky.system.domain.SysUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Optional;

@RestController
public class DataTransferControllerApi implements RemoteTransferService {

    @Autowired
    private QueryInfluxdbDataService queryInfluxdbDataService;

    /**
     * 单个设备数据写入
     * @return
     */
    @Override
    public ApiResult<Void> sendDeviceData(DeviceDataWriteVO writeVO){
        queryInfluxdbDataService.sendDeviceDataToMQ(writeVO);
        return ApiResult.success();
    }

    /**
     * 下发单个设备控制命令
     */
    @Override
    public Map<String,Object> deviceControl(String topic,String dataStr){
        return queryInfluxdbDataService.deviceControl(topic,dataStr);
    }
}
